capture program drop cplot
program define cplot
	version 4.0 
    
      tempvar y1 y2 yhat
      tempname P A

      
      if `1'  == 1 {
      		local 1 = .999999999999999
      		display in blue "Note: r set to .999999999999999"
      }
      if `1'  == -1 {
      		local 1 = -.999999999999999
      		display in blue "Note: r set to -.999999999999999"

      }
      if `1' > 1 | `1' < -1 {
		display in red "remember -1 <= r <= 1"
                exit
      }

      quietly {
	      preserve
      	clear
	      set obs 4000

      	matrix `P' = (1,`1' \\`1', 1)
	      local k = rowsof(`P')
      	matrix `A' = cholesky(`P')

	      local i 1 
	      while `i'<=`k' {
      	      gen c`i' = invnorm(uniform())
                  local i=`i'+1
            }
            local i 1
            while `i'<=`k' {
            	matrix row = `A'[`i',1..`k']
                  matrix score `y`i'' = row
                  local i=`i'+1
            }
            local i 1 
            while `i' <= `k' {
 	           drop c`i'
                 local i=`i'+1
            }
      
		corr `y1' `y2'
	      regress `y1' `y2'
	      predict `yhat'
      }
      graph `y1' `yhat' `y2', c(.l) s(.i) border xlabel ylabel sort /*
      */ l1t(Y--Variable) b2t(X--Variable) t1t(r = `1')
end
cplot `1'

