* 4 Verteilungen mit gleichem Mean und gleicher Standardabweichung

version 4.0

preserve

* Datensatz erstellen
clear
set obs 10

* Variable 1
input x1
0 
2.5 
4 
5 
5.4 
5.6 
6 
7 
8.5 
11 

* Einige Ergebnisse speichern
summarize x1
local mean = _result(3)
local std = sqrt(_result(4))

* Variable 2
gen x2 = _n
egen z2 = std(x2)
replace x2 =  z2 * `std' + `mean' 
drop z2

* Variable 3
gen x3 = x1 + x2^3
egen z3 = std(x3)
replace x3 = z3 * `std' + `mean'
drop z3

* Variable 4
sum x3
gen x4 = _result(6) + 1  - x3
egen z4 = std(x4)
replace x4 = z4 * `std' + `mean'
drop z4

* Laufende Nummer
gen index=_n

* Reshape, wg. Graphik "auf der Seite" (alte Syntax)
reshape groups v 1 - 4
reshape vars x
reshape cons index
reshape long

* v wird in reshape erzeugt
replace v = 5 - v


* Notwendig, damit Graphik gut aussieht
label var v " "
lab val v v
lab def v 4 "Var 1" 3 "Var 2" 2 "Var 3" 1 "Var 4"

* Graphik
graph v v v x, bor s(Oo.) yline(1,2,3,4) ylabel(1,2,3,4) yscale(1,4) /*
*/ xlabel(0,4,8,12) b2title(Werte der Variablen) saving(means, replace) /*
*/ t1t(" ") t2t(" ")

* Ausdruck (Linux)
gphpen -n -t1999 -r52 -s0140 -so60 -s.200 -dmeps means

restore

exit








