* Erstellt die beiden Graphiken zu den Probit--Modellen

version 6.0
preserve
clear
set obs 1000


* Erste Grafik
* ------------

* Erzeuge x-Werte zwischen -4 und 4
gen X = round((_n/1000 * 8) - 4,.01)

* Berechne die Dichte der Standardnormalverteilung fuer x
gen phi = 1/sqrt(2*_pi) * exp(-.5 * X^2)
lab var phi "Dichte Standardnormalverteilung"

* Zeige die Dichtefunktion
graph phi X, c(l) s(.) xlabel(-4(2)4) ylabel(0(.1).4) border /*
*/ saving(probit1, replace)

more

* Zweite Grafik
* -------------

* Berechne Verteilungsfunktion
gen Phi = normprob(X)
* Zum Vergleich: Logit-Transformation
gen Phat = exp(X)/(1+exp(X))

* Gestaltung der Legende
local if "X==float(-3.99)|X==-2|X==0|X==2|X==4"

gen Phil = Phi if `if'
lab var Phil "Probit-Transformation"
gen Phatl = Phat if `if'
lab var Phatl "Logit-Transformation"

graph Phi Phat Phil Phatl X, c(ll..) s(iiOT) xlabel(-4(2)4) ylabel(0(.2)1) /*
*/ pen(2323) l1t(Wahrscheinlichkeit) border saving(probit2, replace)
restore

exit
